//
// Created by Krad on 2021/11/11.
//

#ifndef GUI_GETADMINPSW_H
#define GUI_GETADMINPSW_H

#include "GUIFormBaseDialog.h"
class QLineEdit;
class QLabel;
class GetAdminPsw :public  GUIFormBaseDialog {
	Q_OBJECT
public:
	explicit GetAdminPsw(QWidget* parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
	~GetAdminPsw();
	QString getPsw()const;
protected:
	bool updateReferenceData();
private:
	QLineEdit* _psw = nullptr;
	QLabel* lbl_error = nullptr;
};


#endif //GUI_GETADMINPSW_H
